Delete Comment
- DELETE /comments/{resource_type}/{resource_id}/{comment_id}
Deletes a Comment.
Path Parameters
-
resource_typestringrequired -
The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].
-
resource_idstringrequired -
Id of the Resource that a Comment belongs to.
-
comment_idstringrequired -
Id of a Comment
Query Parameters
-
versionstring If specified then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
Responses
Comment deleted successfully.
Response Type: EmptyResponse
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
- The Comment does not belong to you. (code:
comments.unauthorised) - Your current session does not have a user id associated with it. (code:
comments.no_user_id)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The Comment you want does not exist. (code: comments.comment_does_not_exist)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The version you sent does not match the persisted version. (code: comments.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response